Get the last login logs

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/events/login-logs/last

Get the last login logs, the newest first. To get the next page, give the identifier of the last log in cursor_login_log_id. You must be an administrator.

Query parameters

  • after string(date)

    Get the logs after this date. Date in the ISO 8601 format, for example 2026-10-28T10:00:00

  • before string(date)

    Get the logs before this date. Date in the ISO 8601 format, for example 2026-10-28T10:00:00

  • cursor_login_log_id string(uuid)

    Get the logs that are older than this log

  • limit integer

    Maximum number of logs. The maximum value is 1000.

    Default value is 100.

  • person_ids array[string(uuid)]

    Filter login logs by person. Repeat the parameter for each value.

Responses

  • 200 application/json

    The list of login logs

    Hide response attributes Show response attributes object
    • id string(uuid)

      Login log unique identifier

    • created_at string(date-time)

      Login timestamp

    • ip_address string

      IP address of the login

    • person_id string(uuid)

      Person identifier

    • origin string

      Login origin

      Values are web or script.

  • 400

    A date or an identifier is not valid

  • 403

    You are not an administrator

GET /data/events/login-logs/last
curl -X GET "http://api.example.com/data/events/login-logs/last?before=2022-07-12T00%3A00%3A00&limit=100" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/events/login-logs/last"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "before": "2022-07-12T00:00:00",
    "limit": 100
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "created_at": "2023-01-01T12:00:00Z",
    "ip_address": "192.168.1.100",
    "person_id": "b35b7fb5-df86-5776-b181-68564193d360",
    "origin": "web"
  }
]